[fxruby-users] [Foxgui-announce] [ANN] FXRuby 1.6.6 Now Available

Lyle Johnson lyle at knology.net
Sun Feb 11 12:24:45 EST 2007


On Feb 11, 2007, at 9:42 AM, Philippe Lang wrote:

> Thanks a lot for the new version. It seems to work really great after
> some tests. No need to patch FXRuby anymore! Can I safely take away  
> the
> call to "GC.disable" now?

I didn't do anything specifically to fix your bug, so I guess that's  
up to you. The problem with memory-related bugs is that they are  
difficult to reproduce, and a given bug will sometimes manifest  
itself in different ways.

> I'm curious: Is there any reason why you haven't chosen Fox 1.6.21 for
> the Win32 gem release? Is there anything wrong with this latest  
> version
> and FXRuby?

No, there's nothing wrong. There are only minor differences between  
FOX versions 1.6.20 and 1.6.21, and none of those differences will  
affect the behavior of FXRuby, so there was simply no point in  
updating the version of FOX used for this build of FXRuby. (See the  
FOX News page for more information about what changed in version  
1.6.21.)


More information about the fxruby-users mailing list